precision highp float;
varying vec4 v_vertex_color;
varying vec2 v_texture_position;
varying vec2 v_frag_coord; // This could be gl_FragCoord in ES 3.0
uniform sampler2D texture;

void main() {
  vec3 light_position = vec3(0.8, 1.2, 0.3);
  vec3 pixel_position = vec3(v_frag_coord.xy, 0.0);

  vec3 to_light = normalize(light_position - pixel_position);

  float a = max(2.0 - length(v_frag_coord.xy - light_position.xy) * 0.6, 0.6);

  vec4 tex = texture2D(texture, v_texture_position);

  gl_FragColor = tex * v_vertex_color * vec4(a, a, a, 1.0) * vec4(1.5, 1.5, 1.5, 1.0);
}
